export declare class Token {
    readonly token: string;
    readonly expiresIn: number;
    readonly expiresAt: Date;
    constructor(token: string, expiresIn: number, expiresAt: Date);
    static create(token: string, expiresIn: number): Token;
    hasExpired(): boolean;
    remainingTimeInMs(offsetInSeconds: number): number;
}
